Package org.eclipse.graphiti.mm

# Interface Property

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `PropertyImpl`

public interface Property extends org.eclipse.emf.ecore.EObject
A representation of the model object 'Property'.

The following features are supported:

- `Key`
- `Value`

See Also:
  - `MmPackage.getProperty()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getKey()`
Returns the value of the 'Key' attribute.
`String`
`getValue()`
Returns the value of the 'Value' attribute.
`void`
`setKey(String value)`
Sets the value of the '`Key`' attribute.
`void`
`setValue(String value)`
Sets the value of the '`Value`' attribute.

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### getKey

String getKey()
Returns the value of the 'Key' attribute.

If the meaning of the 'Key' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Key' attribute.
See Also:
  - `setKey(String)`
  - `MmPackage.getProperty_Key()`

### setKey

void setKey(String value)
Sets the value of the '`Key`' attribute.

Parameters:
  `value` - the new value of the 'Key' attribute.
See Also:
  - `getKey()`

### getValue

String getValue()
Returns the value of the 'Value' attribute.

If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Value' attribute.
See Also:
  - `setValue(String)`
  - `MmPackage.getProperty_Value()`

### setValue

void setValue(String value)
Sets the value of the '`Value`' attribute.

Parameters:
  `value` - the new value of the 'Value' attribute.
See Also:
  - `getValue()`